import React, {ComponentProps} from 'react';
import {View} from 'react-native';
import {Chips} from '@components/_HuGo/Chip';
import {InputSearch} from '@components/_HuGo/Inputs';
import {Tabs} from '@components/_HuGo/Tabs';

import {styles} from './styles';

export function SubheaderChips(props: ComponentProps<typeof Chips>) {
  return (
    <View style={styles.container}>
      <Chips {...props} />
    </View>
  );
}

export function SubheaderSearch(props: ComponentProps<typeof InputSearch>) {
  return (
    <View style={styles.container}>
      <InputSearch {...props} size="sm" variant="disabled" />
    </View>
  );
}

export function SubheaderTabs(props: ComponentProps<typeof Tabs>) {
  return <Tabs {...props} withDivider={false} />;
}
